Remove an IP
curl --request DELETE \
--url https://console.cloudblast.io/api/v2/servers/{server}/ips/{address} \
--header 'Authorization: Bearer <token>'import requests
url = "https://console.cloudblast.io/api/v2/servers/{server}/ips/{address}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://console.cloudblast.io/api/v2/servers/{server}/ips/{address}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": {
"code": "CANNOT_REMOVE_PRIMARY",
"message": "Cannot remove the primary IP address."
}
}{
"error": {
"code": "UNAUTHENTICATED",
"message": "Missing or invalid Authorization header. Use: Authorization: Bearer <token>"
}
}{
"error": {
"code": "NOT_FOUND",
"message": "Server not found."
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}Server IPs
Remove an IP
Removes a secondary IP address from the server. You cannot remove the primary IPv4 or IPv6 address.
DELETE
/
servers
/
{server}
/
ips
/
{address}
Remove an IP
Authorizations
API token from your CloudBlast account settings. Pass as Authorization: Bearer <token>.
Path Parameters
Server identifier — any of: numeric id, uuid_short (8 chars), or full uuid (36 chars).
The IP address to remove (e.g., 203.0.113.50)
Response
IP removed
⌘I